%define url_ver %(echo %{version}|cut -d. -f1,2)

%define name mate-desktop
%define api 2
%define major 17
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Name:           %{name}
Version:        1.6.2
Release:        %mkrel 2
License:        GPLv2+ and LGPLv2+ and MIT
Summary:        Library with common APIs for various MATE modules
URL:            http://mate-desktop.org/
Group:          Graphical desktop/MATE
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        user-dirs-update-mate.desktop
Source2:        mate-mga.gschema.override

BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(mate-doc-utils)
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  mate-common

Requires:       pygtk2
Requires:       xdg-user-dirs-gtk
Requires:       libnotify
Requires:       mate-panel

%description
This package contains some data files and other shared components of the
MATE user environment.

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries 

%description -n %{libname}
This package contains an internal library
(libmatedesktop) used to implement some portions of the GNOME
desktop.

%package -n %{develname}
Summary:        MATE module API library development files
Group:          Development/C 
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contain the development library with common API for various MATE modules.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
     --disable-scrollkeeper                                \
     --disable-schemas-compile                             \
     --with-gtk=2.0                                        \
     --with-x                                              \
     --disable-static                                      \
     --enable-unique                                       \
     --enable-gtk-doc                                      \
     --with-pnp-ids-path=%{_datadir}/misc/pnp.ids          \
     --with-omf-dir=%{_datadir}/omf/mate-desktop
%make

%install
%makeinstall_std

find %{buildroot}%{_libdir} -type f -name "*.la" -delete

desktop-file-install  --vendor="%{_real_vendor}"             \
        --delete-original                                    \
        --dir=%{buildroot}%{_datadir}/applications           \
%{buildroot}%{_datadir}/applications/mate-about.desktop

install -D -m 0644 %{_sourcedir}/mate-mga.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas/

# remove needless gsettings convert file to avoid slow session start
rm -f  %{buildroot}%{_datadir}/MateConf/gsettings/mate-desktop.convert

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_bindir}/mate-about
%{_bindir}/mate-gsettings-toggle
%{_datadir}/applications/%{_real_vendor}-mate-about.desktop
%{_datadir}/mate/help/*/*/*.xml
%{_datadir}/omf/mate-desktop/
%{_datadir}/mate-about/
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/glib-2.0/schemas/mate-mga.gschema.override
%{_mandir}/man1/mate-about.1*

%files -n %libname
%{_libdir}/libmate-desktop-%{api}.so.%{major}*

%files -n %develname
%{_datadir}/gtk-doc/html/mate-desktop
%{_libdir}/libmate-desktop-2.so
%{_libdir}/pkgconfig/mate-desktop-2.0.pc
%{_includedir}/mate-desktop-2.0



%changelog
* Sun Jan 19 2014 tarakbumba <tarakbumba> 1.6.2-2.mga4
+ Revision: 567004
- Default to stretched background

* Thu Jan 02 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563931
-New bugfix version: 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531010
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 442919
- imported package mate-desktop

